al_set_shader_matrix(3)

NAME

al_set_shader_matrix - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_set_shader_matrix(const char *name,
       const ALLEGRO_TRANSFORM *matrix)

DESCRIPTION

Sets a matrix uniform of the current target bitmap's shader.

Returns true on success. Otherwise returns false, e.g. if the uniform by that name does not exist in the shader.

SINCE

5.1.0

SEE ALSO

al_use_shader(3)